import { AfterViewChecked, AfterViewInit, ElementRef, OnDestroy, OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiTextElement } from "../../elements/StiTextElement";
import { StiRichTextService } from "../../services/sti-rich-text.service";
import { StiComponent } from "../sti-component";
import { StiComponentResizerService } from "../../services/sti-component-resizer.service";
import { Subscription } from "rxjs";
export declare class StiTextComponent implements OnInit, AfterViewInit, OnDestroy, AfterViewChecked {
    model: StiModelService;
    richTextService: StiRichTextService;
    componentResizerService: StiComponentResizerService;
    richTextEditor: ElementRef;
    component: StiComponent;
    element: StiTextElement;
    isClone: boolean;
    changeModeSubscription: Subscription;
    selectedComponent: any;
    private observer;
    get borderInnerWidth(): Number;
    get borderInnerHeight(): Number;
    constructor(model: StiModelService, richTextService: StiRichTextService, componentResizerService: StiComponentResizerService);
    ngAfterViewChecked(): void;
    changeMode(value: boolean): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    ngOnInit(): void;
}
